var order_status = 0,all_count = 0,all_num = 0,all_money = 0,all_pre_money = 0;//搜索的什么货单；货单数； 商品数量； 总价； 预付款；
$(function(){
    $('.dialog-close').click(function(){
        close_confirm();
    });
});
//单个的确认操作
function unit_confirm(obj){
    var id=$(obj).parent().parent().children(':first').find("input[name='id[]']").val();
    $("input[name='id[]']").each(function(){
        if($(this).val()==id){
            $(this).prop('checked',true);
        }else{
            $(this).prop('checked',false);
        }
    });
    open_confirm();
}
//打开确认框
function open_confirm(){
    $(".confirm").attr('disabled',true);
    var res=check_info();
    if(res!==''){$.showErr(res,1,'hc');$(".confirm").attr('disabled',false);return false;}
    statistics();
    $('.confirm_box').show();
    $('.confirm_box_maks').show();
}
//关闭确认框
function close_confirm(){
    $(".confirm").attr('disabled',false);
    $('.confirm_box').hide();
    $('.confirm_box_maks').hide();
}
//检查数据合法性
function check_info(){
    var ret='';
    var supplier_id=new Array;
    var id=0;
    $("input[name='id[]']").each(function(){
        if(this.checked){
            id=$(this).val();
            var s_id=$(this).attr('s_id');
            supplier_id.push(s_id);
        }
    });
    if(id<=0){ret=(order_status==4)?'未选中结算单':'未选中对账单';}
    supplier_id= $.unique(supplier_id);
    if(order_status==3 && supplier_id.length>1){ret='请选择同一供货商结算';}
    return ret;
}
//统计勾选的账单信息
function statistics(){
    all_count = 0,all_num = 0,all_money = 0,all_pre_money = 0;
    $("input[name='id[]']").each(function(){
        if(this.checked){
            all_count++;
            all_num=all_num+parseInt($(this).parent().siblings('.fact_num').html());
            all_money=all_money+parseFloat($(this).parent().siblings('.all_price').html());
            all_pre_money=all_pre_money+parseFloat($(this).parent().siblings('.pre_money').html());
        }
    });
    //$("#all_count").html(all_count);
    //$("#all_num").html(all_num);
    //$("#all_money").html(all_money);
    //$("#all_pre_money").html(all_pre_money);
    $("div#all_info").html("货单数："+all_count+" 商品数量："+all_num+" 总价："+parseFloat(all_money).toFixed(2));
    if(order_status==3){
        $("#all_pre_money").html("预付款："+foramtmoney(all_pre_money));
        $("#end_money").val(foramtmoney(all_money-all_pre_money));
    }
}
/**确认开始**/
function confirm_balance(){
    $(".go_confirm").attr('disabled',false);
    $("input[name='status']").val(order_status-1);
    $("input[name='remarks']").val($("textarea[name='pre_remarks']").val());
    if(order_status==3){$("input[name='pre_money_out']").val($("input[id='end_money']").val());}
    var query=$("form[name='myform']").serialize();
    $.ajax({
        type: "post",
        url: APP+"InvoicingOrder/confirm_balance.html",
        data: query,
        success: function(data){
            if(data.status!=1){
                $.showErr(data.msg,1,'hc',function(){
                    window.location.reload();
                },function(){
                    window.location.reload();
                });
            }else{
                window.location.reload();
            }
            return false;
        }
    });
}
/**确认结束**/